classification
Title: test_pydoc fails when run directly
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: serhiy.storchaka, vstinner
Priority: normal Keywords:

Created on 2017-07-25 12:20 by serhiy.storchaka, last changed 2017-11-06 19:30 by nascheme. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2864 merged vstinner, 2017-07-25 12:30
PR 2910 merged vstinner, 2017-07-27 09:25
PR 2911 merged vstinner, 2017-07-27 09:26
PR 2043 nascheme, 2017-11-06 19:30
Messages (6)
msg299059 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-07-25 12:20
$ ./python Lib/test/test_pydoc.py
...
======================================================================
ERROR: test_mixed_case_module_names_are_lower_cased (__main__.PydocDocTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "Lib/test/test_pydoc.py", line 462, in test_mixed_case_module_names_are_lower_cased
    self.assertIn('xml.etree.elementtree', doc_link)
  File "/home/serhiy/py/cpython/Lib/unittest/case.py", line 1102, in assertIn
    if member not in container:
TypeError: argument of type 'NoneType' is not iterable

----------------------------------------------------------------------
Ran 49 tests in 5.716s

FAILED (errors=1, skipped=3)
Traceback (most recent call last):
  File "Lib/test/test_pydoc.py", line 1106, in <module>
    test_main()
  File "/home/serhiy/py/cpython/Lib/test/support/__init__.py", line 2071, in decorator
    return func(*args)
  File "Lib/test/test_pydoc.py", line 1100, in test_main
    PydocWithMetaClasses,
  File "/home/serhiy/py/cpython/Lib/test/support/__init__.py", line 1940, in run_unittest
    _run_suite(suite)
  File "/home/serhiy/py/cpython/Lib/test/support/__init__.py", line 1905, in _run_suite
    raise TestFailed(err)
test.support.TestFailed: Traceback (most recent call last):
  File "Lib/test/test_pydoc.py", line 462, in test_mixed_case_module_names_are_lower_cased
    self.assertIn('xml.etree.elementtree', doc_link)
  File "/home/serhiy/py/cpython/Lib/unittest/case.py", line 1102, in assertIn
    if member not in container:
TypeError: argument of type 'NoneType' is not iterable
msg299295 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-27 09:21
New changeset fd46561167af6cd697191dd7ebb8c2fef5ad6493 by Victor Stinner in branch 'master':
bpo-31028: Fix test_pydoc when run directly (#2864)
https://github.com/python/cpython/commit/fd46561167af6cd697191dd7ebb8c2fef5ad6493
msg299320 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-27 16:05
New changeset fd6736d17901e539d6a9ddf50a9927a3a97a9c06 by Victor Stinner in branch '2.7':
bpo-31028: Fix test_pydoc when run directly (#2864) (#2911)
https://github.com/python/cpython/commit/fd6736d17901e539d6a9ddf50a9927a3a97a9c06
msg299321 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-27 16:05
New changeset d019c7965d411b2132f68ed6bb33e538b4d9eba3 by Victor Stinner in branch '3.6':
bpo-31028: Fix test_pydoc when run directly (#2864) (#2910)
https://github.com/python/cpython/commit/d019c7965d411b2132f68ed6bb33e538b4d9eba3
msg299322 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-27 16:11
Bug fixed in Python 2.7, 3.6 and master.
msg299546 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-07-31 09:16
Thanks Victor. But please don't forget to edit commit messages before merging. Commit messages of above commits look confusing.
History
Date User Action Args
2017-11-06 19:31:42naschemelinkissue28907 superseder
2017-11-06 19:30:12naschemesetpull_requests: + pull_request4258
2017-07-31 09:16:15serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg299546

stage: resolved
2017-07-27 16:11:40vstinnersetmessages: + msg299322
versions: + Python 2.7
2017-07-27 16:05:48vstinnersetmessages: + msg299321
2017-07-27 16:05:46vstinnersetmessages: + msg299320
2017-07-27 09:26:48vstinnersetpull_requests: + pull_request2962
2017-07-27 09:25:54vstinnersetpull_requests: + pull_request2961
2017-07-27 09:21:28vstinnersetnosy: + vstinner
messages: + msg299295
2017-07-25 12:30:25vstinnersetpull_requests: + pull_request2914
2017-07-25 12:20:58serhiy.storchakacreate